Subject: bug#40572: installer networking: Connman detects no technologies on Acer Aspire

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 12 Apr 2020 20:43:29 +0200

On Sun, Apr 12, 2020 at 07:37:39PM +0200, Mathieu Othacehe wrote:
> 
> > Apr 12 16:35:35 localhost vmunix: [   48.124498] uvesafb: fb0: VESA VGA frame buffer device
> > Apr 12 16:35:35 localhost vmunix: [   48.129053] shepherd[1]: Service uvesafb has been started.
> > Apr 12 16:35:40 localhost shepherd[1]: Service dbus-system could not be started. 
> > Apr 12 16:35:40 localhost shepherd[1]: Service networking depends on dbus-system. 
> > Apr 12 16:35:40 localhost shepherd[1]: Service networking could not be started. 
> 
> I suspect something is going wrong here. The 'networking' service is
> indeed not started, probably because 'dbus-system' could not be started.
> 

That may be the case.  Note dbus-system was started later on, but
networking was not.

> What is reported by 'herd start dbus-system' command? You could also try
> to start dbus-daemon by hand with the arguments provided in (gnu
> services dbus).
> 
> Thanks,
> 
> Mathieu

herd start dbus-system works flawlessly when the system has started.
I cannot try running “herd start dbus-system” earlier because I do not
have a login prompt yet.  I will look at (gnu services dbus) later.

Regards,
Florian